%global _lto_cflags %{_lto_cflags} -Wno-lto-type-mismatch

%if 0%{?fedora} >= 33
%global build_ldflags -Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -Wl,--build-id=sha1   -Wa,--noexecstack -Wa,--generate-missing-build-notes=yes -DPURIFY
%endif

%define use_cmake3 0%{?rhel} == 7

Name: picodata
# ${major}.${major}.${minor}.${patch}, e.g. 1.0.0.35
Version: 1.0.2.0
Release: 1%{?dist}
Epoch: 1

Summary: In-memory database and Rust application server
License: BSD
Group: Databases

Url: http://picodata.io
Source0: %name-%version.tar.gz

%if %use_cmake3
BuildRequires: cmake3
%endif

%if 0%{?rhel} == 8 || 0%{?redos} > 0 || 0%{?fedora} >= 33
BuildRequires: libstdc++-static
%endif

%if "%{?mandriva_os}" == "linux"
BuildRequires: lib64luajit-5.1-devel
BuildRequires: lib64zstd-devel
BuildRequires: lib64z-devel
BuildRequires: lib64yaml-devel
BuildRequires: lib64curl-devel
BuildRequires: lib64icu-devel
BuildRequires: lib64openssl-devel
BuildRequires: lib64readline-devel
BuildRequires: lib64stdc++-static-devel
BuildRequires: lib64gomp-static-devel
%else
BuildRequires: readline-devel
BuildRequires: openssl-devel
BuildRequires: libcurl-devel
BuildRequires: libicu-devel
BuildRequires: libyaml-devel
BuildRequires: libzstd-devel
%endif

%if 0%{?fedora} >= 33
BuildRequires: perl-FindBin
%endif

%description
Picodata is a high performance in-memory NoSQL database and Rust
application server. Picodata supports replication, online backup and
stored procedures in Rust.

This package provides the repository binary and tools

%prep
%setup -q -n %{name}-%{version}

%build
make install-cargo
sudo find {/opt,/usr} -name libgomp.spec -delete

%if %use_cmake3
make centos7-cmake3
%endif

make build

%install

%if "%{?_build_vendor}" == "alt"
%makeinstall_std
%else
%make_install
%endif

%check

%clean
%__rm -rf %{buildroot}

%files
%{_bindir}/picodata
%doc README.md
%{!?_licensedir:%global license %doc}
%if "%{?_build_vendor}" == "alt"
%doc docs/licenses/eula_en.txt docs/licenses/eula_ru.txt AUTHORS
%else
%license docs/licenses/eula_en.txt docs/licenses/eula_ru.txt AUTHORS
%endif

%changelog
* Mon Dec  5 2022 <kdy@picodata.io> - 22.07.0%{?dist}
   - Replace tarantool to tarantool-picodata

* Fri Jul  8 2022 <kdy@picodata.io> - 22.07.0%{?dist}
   - Added Picodata product

* Thu Jun  9 2022 <kdy@picodata.io> - 1.0.1.1%{?dist}
   - Tarantool 2.8 and upper

* Fri Feb  4 2022 <kdy@picodata.io> - 1.0.1.0%{?dist}
   - Tarantool 2.8.3 + libicu 69.1

* Thu Dec  2 2021 <kdy@picodata.io> - 1.0.0.35%{?dist}
   - Initial package.
